namespace Syntriax.Engine.Network.Abstract;

public interface INetworkEntity
{
    event OnNetworkIdChangedDelegate? OnNetworkIdChanged;

    uint NetworkId { get; set; }

    void ReceiveData<T>(T data);

    delegate void OnNetworkIdChangedDelegate(INetworkEntity sender, uint previousId);
}
